Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.oasis
Class StyleCache

    java.lang.Object
      net.sf.jasperreports.engine.export.oasis.StyleCache

    public class StyleCache

extends java.lang.Object

Version:
  $Id: StyleCache.java 3940 2010-08-20 10:35:15Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`StyleCache(java.io.Writer styleWriter, java.util.Map fontMap, java.lang.String exporterKey)`

Method Summary
`java.lang.String` | `getCellStyle(JRExporterGridCell gridCell)`
`java.util.Collection` | `getFontFaces()`
`java.lang.String` | `getFrameStyle(JRPrintElement element)`
`java.lang.String` | `getFrameStyle(JRPrintText text)`
`java.lang.String` | `getGraphicStyle(JRPrintGraphicElement element)`
`java.lang.String` | `getParagraphStyle(JRPrintText text)`
`java.lang.String` | `getTextSpanStyle(java.util.Map attributes, java.lang.String text, java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleCache

    public StyleCache(java.io.Writer styleWriter,
                      java.util.Map fontMap,
                      java.lang.String exporterKey)

Method Detail

### getFontFaces

    public java.util.Collection getFontFaces()

### getFrameStyle

    public java.lang.String getFrameStyle(JRPrintText text)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFrameStyle

    public java.lang.String getFrameStyle(JRPrintElement element)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getGraphicStyle

    public java.lang.String getGraphicStyle(JRPrintGraphicElement element)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getCellStyle

    public java.lang.String getCellStyle(JRExporterGridCell gridCell)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getParagraphStyle

    public java.lang.String getParagraphStyle(JRPrintText text)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTextSpanStyle

    public java.lang.String getTextSpanStyle(java.util.Map attributes,
                                             java.lang.String text,
                                             java.util.Locale locale)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com